你知道 @Async 是怎么让方法异步执行的吗?

前言@async 是通过注解标记来开启方法的异步执行的;对于注解的底层实现,除了 java 原生提供那种依赖编译期植入的之外,其他的基本都差不多,即运行时通过反射等方式拦截到打了注解的类或者方法,然后执行时进行横切拦截;另外这里还有一个点就是方法异步执行,所以对于 @async 的剖析,就一定绕不...

2023-01-17 SpringJavaScriptNode.jsAndroidAOP


5.6k+star的Flutter神器!超棒的原生混合框架!

大家好,我是可爱又机灵的开源小妹。最近我们大魔头老板让我在 flutter app 中加上实时通讯的原生功能,这几天光是想着如何混合 flutter 工程和原生工程让我掉了不少头发~~o(>_

2023-01-17 Android开源FlutteriOS


【教程】超详细通过Shizuku转生支付宝集成XQ_Crystal来自动收能量

转载请注明出处:小锋学长生活大爆炸[xfxuezhang.blog.csdn.net] 通过shizuku是比应用转生更好更稳定的方法!可以先看这篇:免root使用xposed插件并开启蚂蚁森林自动偷能量,比应用转生好还不会的,继续往下。看完还不会,真没办法了。目录环境准备开始搞事激活shizuku转生支付宝配置xq_crystal收能...

2023-01-17 Android网站


斐讯N1安装Armbain Ubuntu教程

前言最近在折腾斐讯n1这个电视盒子,很强大,而且很便宜,拼多多也就100来块,可玩性很高,直接让我没任何想买树莓派的想法了。前后刷了openwrt当旁路由,刷了安装系统当电视盒子用。这两天突发奇想来折腾安装ubuntu, 然后接到工作室的网络上当服务器使用,折腾是折腾成功了,但需要一些技巧。准备...

2023-01-17 LinuxWindowsUbuntuAndroid


使用 php 实现 mysq l转 sqlite 语句

warning: 这篇文章距离上次修改已过225天,其中的内容可能已经有所变动。 在写框架过程中一直使用的基于pdo驱动的mysql,因为项目需求,要转一个sqlite版本,于是写了这个简单的转换函数,实现mysql建表语句到sqlite的平滑转换,有需要的童鞋们可以拿去。/** * mysql(ctreate_table)转sqlite语句 * ...

2023-01-17 数据库云数据库 SQL ServerSQLAndroidSQLite


利用WireGuard使用NordV**配置文件

wireguard介绍wireguard是一种极其简单但又快速的现代v**,它使用最先进的加密技术它旨在比 ipsec更快、更简单、更精简和更有用,同时避免令人头疼的问题,它旨在比 openv** 具有更高的性能wireguard 被设计为在嵌入式接口和超级计算机上运行的通用 v**,适用于许多不同的环境最初是为 linux 内核发...

2023-01-17 LinuxWindowsAndroidsshiOS


Android 虚拟化框架 (AVF) 目标是车机虚拟化?

android 虚拟化框架 (avf) 提供安全且私密的执行环境来执行代码。avf 非常适合以安全为导向的用例,这些用例需要比 android 应用沙盒提供的安全系数更高、甚至经过正式验证的隔离保证。android 提供了实现 avf 所需的所有组件的参考实现。apexd 和 zipfuse 安全地装载从主机导入的 apex 和 apk。aut...

2023-01-15 API虚拟化AndroidUML小程序·云开发解决方案


【建议收藏】常用adb操作命令详解

1、查看当前运行的所有设备adb devices返回当前设备列表这个命令是查看当前连接的设备, 连接到计算机的android设备或者模拟器将会列出显示2、安装软件adb install验证是否成功。需要到设备的 data/app路径下查看是否有该包名这个命令将指定的apk文件安装到设备上3、卸载软件adb uninstall adb unin...

2023-01-15 AndroidShell


我被 pgx 及其背后的 Rust 美学征服

知道我的人都了解,自 2018 年比较正式地学习 rust 以来(在此要感谢张汉东老师的大力推荐),我慢慢被 rust 征服,成为一名不折不扣的拥趸。我的业余项目,90% 都是用 rust 写就的,另外 10% 基本被 typescript(前端)和 python(主要是 notebook)瓜分。我对 rust 热爱也体现在我的公众号和 b 站...

2023-01-15 数据库SQLAndroidSQLiteRust


Linux启动Django项目提示'SQLite 3.8.3 or later is required'

一、背景1、python版本:python 3.6.8 2、django版本:3,.1.3 3、报错信息 file "/usr/local/lib/python3.6/site-packages/django/db/backends/sqlite3/base.py", line 70, in check_sqlite_version() file "/usr/local/lib/python3.6/site-packages/django/db/backends/sqlite3/base.py", line 67...

2023-01-15 数据库SQLPythonAndroidSQLite